### Signal

# WPEPlatform Gamepad::axis-event

#### Declaration

    void
    axis_event (
      WPEGamepad* self,
      WPEGamepadAxis axis,
      gdouble value,
      gpointer user_data
    )

#### Description [src]

Emitted when value of `axis` changes.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`axis`

  Type: `WPEGamepadAxis`

  A `WPEGamepadAxis`.

`value`

  Type: `gdouble`

  The value of `axis`.